← Documentation home
PATCH/hyax-api/v1/courses/:id

Update course

Base URL: https://platform.hyax.com · Replace YOUR_API_KEY with your team API key.

Request body

FieldRequiredDescription
titleNo
descriptionNo
slugNo
priceNoNumber or null
currencyNoISO currency code
pricingTypeNo`FREE` | `SINGLE` | `SUBSCRIPTION` | `PAY_WHAT_YOU_WANT`

Request examples

Same request in cURL, Node.js (fetch), and PHP (ext-curl).

curl -X PATCH 'https://platform.hyax.com/hyax-api/v1/courses/clx_example_id' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "Marketing 101",
    "pricingType": "SINGLE",
    "price": 79
  }'

Example response

Shape varies by data; values are illustrative.

{
  "success": true,
  "data": {
    "id": "clx…",
    "title": "Marketing 101",
    "slug": "marketing-101",
    "isActive": true
  }
}